/*
 * Copyright OpenSearch Contributors
 * SPDX-License-Identifier: Apache-2.0
 *
 * The OpenSearch Contributors require contributions made to
 * this file be licensed under the Apache-2.0 license or a
 * compatible open source license.
 *
 */

/*
 * This file was generated from the OpenSearch API Spec. Do NOT edit it
 * manually. If you want to make changes, either update the spec or
 * modify the API generator.
 */

'use strict';

/** @namespace API-Cluster */

function ClusterApi(bindObj) {
  this.allocationExplain = require('./allocationExplain').bind(bindObj);
  this.deleteComponentTemplate = require('./deleteComponentTemplate').bind(bindObj);
  this.deleteDecommissionAwareness = require('./deleteDecommissionAwareness').bind(bindObj);
  this.deleteVotingConfigExclusions = require('./deleteVotingConfigExclusions').bind(bindObj);
  this.deleteWeightedRouting = require('./deleteWeightedRouting').bind(bindObj);
  this.existsComponentTemplate = require('./existsComponentTemplate').bind(bindObj);
  this.getComponentTemplate = require('./getComponentTemplate').bind(bindObj);
  this.getDecommissionAwareness = require('./getDecommissionAwareness').bind(bindObj);
  this.getSettings = require('./getSettings').bind(bindObj);
  this.getWeightedRouting = require('./getWeightedRouting').bind(bindObj);
  this.health = require('./health').bind(bindObj);
  this.pendingTasks = require('./pendingTasks').bind(bindObj);
  this.postVotingConfigExclusions = require('./postVotingConfigExclusions').bind(bindObj);
  this.putComponentTemplate = require('./putComponentTemplate').bind(bindObj);
  this.putDecommissionAwareness = require('./putDecommissionAwareness').bind(bindObj);
  this.putSettings = require('./putSettings').bind(bindObj);
  this.putWeightedRouting = require('./putWeightedRouting').bind(bindObj);
  this.remoteInfo = require('./remoteInfo').bind(bindObj);
  this.reroute = require('./reroute').bind(bindObj);
  this.state = require('./state').bind(bindObj);
  this.stats = require('./stats').bind(bindObj);

  // Deprecated: Use allocationExplain instead.
  this.allocation_explain = require('./allocationExplain').bind(bindObj);
  // Deprecated: Use deleteComponentTemplate instead.
  this.delete_component_template = require('./deleteComponentTemplate').bind(bindObj);
  // Deprecated: Use deleteDecommissionAwareness instead.
  this.delete_decommission_awareness = require('./deleteDecommissionAwareness').bind(bindObj);
  // Deprecated: Use deleteVotingConfigExclusions instead.
  this.delete_voting_config_exclusions = require('./deleteVotingConfigExclusions').bind(bindObj);
  // Deprecated: Use deleteWeightedRouting instead.
  this.delete_weighted_routing = require('./deleteWeightedRouting').bind(bindObj);
  // Deprecated: Use existsComponentTemplate instead.
  this.exists_component_template = require('./existsComponentTemplate').bind(bindObj);
  // Deprecated: Use getComponentTemplate instead.
  this.get_component_template = require('./getComponentTemplate').bind(bindObj);
  // Deprecated: Use getDecommissionAwareness instead.
  this.get_decommission_awareness = require('./getDecommissionAwareness').bind(bindObj);
  // Deprecated: Use getSettings instead.
  this.get_settings = require('./getSettings').bind(bindObj);
  // Deprecated: Use getWeightedRouting instead.
  this.get_weighted_routing = require('./getWeightedRouting').bind(bindObj);
  // Deprecated: Use pendingTasks instead.
  this.pending_tasks = require('./pendingTasks').bind(bindObj);
  // Deprecated: Use postVotingConfigExclusions instead.
  this.post_voting_config_exclusions = require('./postVotingConfigExclusions').bind(bindObj);
  // Deprecated: Use putComponentTemplate instead.
  this.put_component_template = require('./putComponentTemplate').bind(bindObj);
  // Deprecated: Use putDecommissionAwareness instead.
  this.put_decommission_awareness = require('./putDecommissionAwareness').bind(bindObj);
  // Deprecated: Use putSettings instead.
  this.put_settings = require('./putSettings').bind(bindObj);
  // Deprecated: Use putWeightedRouting instead.
  this.put_weighted_routing = require('./putWeightedRouting').bind(bindObj);
  // Deprecated: Use remoteInfo instead.
  this.remote_info = require('./remoteInfo').bind(bindObj);
}

module.exports = ClusterApi;
