/*
 * Copyright OpenSearch Contributors
 * SPDX-License-Identifier: Apache-2.0
 *
 * The OpenSearch Contributors require contributions made to
 * this file be licensed under the Apache-2.0 license or a
 * compatible open source license.
 *
 */

/*
 * This file was generated from the OpenSearch API Spec. Do NOT edit it
 * manually. If you want to make changes, either update the spec or
 * modify the API generator.
 */

'use strict';

/** @namespace API-Indices */

function IndicesApi(bindObj) {
  this.addBlock = require('./addBlock').bind(bindObj);
  this.analyze = require('./analyze').bind(bindObj);
  this.clearCache = require('./clearCache').bind(bindObj);
  this.clone = require('./clone').bind(bindObj);
  this.close = require('./close').bind(bindObj);
  this.create = require('./create').bind(bindObj);
  this.createDataStream = require('./createDataStream').bind(bindObj);
  this.dataStreamsStats = require('./dataStreamsStats').bind(bindObj);
  this.delete = require('./delete').bind(bindObj);
  this.deleteAlias = require('./deleteAlias').bind(bindObj);
  this.deleteDataStream = require('./deleteDataStream').bind(bindObj);
  this.deleteIndexTemplate = require('./deleteIndexTemplate').bind(bindObj);
  this.deleteTemplate = require('./deleteTemplate').bind(bindObj);
  this.exists = require('./exists').bind(bindObj);
  this.existsAlias = require('./existsAlias').bind(bindObj);
  this.existsIndexTemplate = require('./existsIndexTemplate').bind(bindObj);
  this.existsTemplate = require('./existsTemplate').bind(bindObj);
  this.flush = require('./flush').bind(bindObj);
  this.forcemerge = require('./forcemerge').bind(bindObj);
  this.get = require('./get').bind(bindObj);
  this.getAlias = require('./getAlias').bind(bindObj);
  this.getDataStream = require('./getDataStream').bind(bindObj);
  this.getFieldMapping = require('./getFieldMapping').bind(bindObj);
  this.getIndexTemplate = require('./getIndexTemplate').bind(bindObj);
  this.getMapping = require('./getMapping').bind(bindObj);
  this.getSettings = require('./getSettings').bind(bindObj);
  this.getTemplate = require('./getTemplate').bind(bindObj);
  this.getUpgrade = require('./getUpgrade').bind(bindObj);
  this.open = require('./open').bind(bindObj);
  this.putAlias = require('./putAlias').bind(bindObj);
  this.putIndexTemplate = require('./putIndexTemplate').bind(bindObj);
  this.putMapping = require('./putMapping').bind(bindObj);
  this.putSettings = require('./putSettings').bind(bindObj);
  this.putTemplate = require('./putTemplate').bind(bindObj);
  this.recovery = require('./recovery').bind(bindObj);
  this.refresh = require('./refresh').bind(bindObj);
  this.resolveIndex = require('./resolveIndex').bind(bindObj);
  this.rollover = require('./rollover').bind(bindObj);
  this.segments = require('./segments').bind(bindObj);
  this.shardStores = require('./shardStores').bind(bindObj);
  this.shrink = require('./shrink').bind(bindObj);
  this.simulateIndexTemplate = require('./simulateIndexTemplate').bind(bindObj);
  this.simulateTemplate = require('./simulateTemplate').bind(bindObj);
  this.split = require('./split').bind(bindObj);
  this.stats = require('./stats').bind(bindObj);
  this.updateAliases = require('./updateAliases').bind(bindObj);
  this.upgrade = require('./upgrade').bind(bindObj);
  this.validateQuery = require('./validateQuery').bind(bindObj);

  // Deprecated: Use addBlock instead.
  this.add_block = require('./addBlock').bind(bindObj);
  // Deprecated: Use clearCache instead.
  this.clear_cache = require('./clearCache').bind(bindObj);
  // Deprecated: Use createDataStream instead.
  this.create_data_stream = require('./createDataStream').bind(bindObj);
  // Deprecated: Use dataStreamsStats instead.
  this.data_streams_stats = require('./dataStreamsStats').bind(bindObj);
  // Deprecated: Use deleteAlias instead.
  this.delete_alias = require('./deleteAlias').bind(bindObj);
  // Deprecated: Use deleteDataStream instead.
  this.delete_data_stream = require('./deleteDataStream').bind(bindObj);
  // Deprecated: Use deleteIndexTemplate instead.
  this.delete_index_template = require('./deleteIndexTemplate').bind(bindObj);
  // Deprecated: Use deleteTemplate instead.
  this.delete_template = require('./deleteTemplate').bind(bindObj);
  // Deprecated: Use existsAlias instead.
  this.exists_alias = require('./existsAlias').bind(bindObj);
  // Deprecated: Use existsIndexTemplate instead.
  this.exists_index_template = require('./existsIndexTemplate').bind(bindObj);
  // Deprecated: Use existsTemplate instead.
  this.exists_template = require('./existsTemplate').bind(bindObj);
  // Deprecated: Use getAlias instead.
  this.get_alias = require('./getAlias').bind(bindObj);
  // Deprecated: Use getDataStream instead.
  this.get_data_stream = require('./getDataStream').bind(bindObj);
  // Deprecated: Use getFieldMapping instead.
  this.get_field_mapping = require('./getFieldMapping').bind(bindObj);
  // Deprecated: Use getIndexTemplate instead.
  this.get_index_template = require('./getIndexTemplate').bind(bindObj);
  // Deprecated: Use getMapping instead.
  this.get_mapping = require('./getMapping').bind(bindObj);
  // Deprecated: Use getSettings instead.
  this.get_settings = require('./getSettings').bind(bindObj);
  // Deprecated: Use getTemplate instead.
  this.get_template = require('./getTemplate').bind(bindObj);
  // Deprecated: Use getUpgrade instead.
  this.get_upgrade = require('./getUpgrade').bind(bindObj);
  // Deprecated: Use putAlias instead.
  this.put_alias = require('./putAlias').bind(bindObj);
  // Deprecated: Use putIndexTemplate instead.
  this.put_index_template = require('./putIndexTemplate').bind(bindObj);
  // Deprecated: Use putMapping instead.
  this.put_mapping = require('./putMapping').bind(bindObj);
  // Deprecated: Use putSettings instead.
  this.put_settings = require('./putSettings').bind(bindObj);
  // Deprecated: Use putTemplate instead.
  this.put_template = require('./putTemplate').bind(bindObj);
  // Deprecated: Use resolveIndex instead.
  this.resolve_index = require('./resolveIndex').bind(bindObj);
  // Deprecated: Use shardStores instead.
  this.shard_stores = require('./shardStores').bind(bindObj);
  // Deprecated: Use simulateIndexTemplate instead.
  this.simulate_index_template = require('./simulateIndexTemplate').bind(bindObj);
  // Deprecated: Use simulateTemplate instead.
  this.simulate_template = require('./simulateTemplate').bind(bindObj);
  // Deprecated: Use updateAliases instead.
  this.update_aliases = require('./updateAliases').bind(bindObj);
  // Deprecated: Use validateQuery instead.
  this.validate_query = require('./validateQuery').bind(bindObj);
}

module.exports = IndicesApi;
