/*
 * Copyright OpenSearch Contributors
 * SPDX-License-Identifier: Apache-2.0
 *
 * The OpenSearch Contributors require contributions made to
 * this file be licensed under the Apache-2.0 license or a
 * compatible open source license.
 *
 */

/*
 * This file was generated from the OpenSearch API Spec. Do NOT edit it
 * manually. If you want to make changes, either update the spec or
 * modify the API generator.
 */

'use strict';

/** @namespace API-Security */

function SecurityApi(bindObj) {
  this.authinfo = require('./authinfo').bind(bindObj);
  this.authtoken = require('./authtoken').bind(bindObj);
  this.changePassword = require('./changePassword').bind(bindObj);
  this.configUpgradeCheck = require('./configUpgradeCheck').bind(bindObj);
  this.configUpgradePerform = require('./configUpgradePerform').bind(bindObj);
  this.createActionGroup = require('./createActionGroup').bind(bindObj);
  this.createAllowlist = require('./createAllowlist').bind(bindObj);
  this.createRole = require('./createRole').bind(bindObj);
  this.createRoleMapping = require('./createRoleMapping').bind(bindObj);
  this.createTenant = require('./createTenant').bind(bindObj);
  this.createUpdateTenancyConfig = require('./createUpdateTenancyConfig').bind(bindObj);
  this.createUser = require('./createUser').bind(bindObj);
  this.createUserLegacy = require('./createUserLegacy').bind(bindObj);
  this.deleteActionGroup = require('./deleteActionGroup').bind(bindObj);
  this.deleteDistinguishedName = require('./deleteDistinguishedName').bind(bindObj);
  this.deleteRole = require('./deleteRole').bind(bindObj);
  this.deleteRoleMapping = require('./deleteRoleMapping').bind(bindObj);
  this.deleteTenant = require('./deleteTenant').bind(bindObj);
  this.deleteUser = require('./deleteUser').bind(bindObj);
  this.deleteUserLegacy = require('./deleteUserLegacy').bind(bindObj);
  this.flushCache = require('./flushCache').bind(bindObj);
  this.generateOboToken = require('./generateOboToken').bind(bindObj);
  this.generateUserToken = require('./generateUserToken').bind(bindObj);
  this.generateUserTokenLegacy = require('./generateUserTokenLegacy').bind(bindObj);
  this.getAccountDetails = require('./getAccountDetails').bind(bindObj);
  this.getActionGroup = require('./getActionGroup').bind(bindObj);
  this.getActionGroups = require('./getActionGroups').bind(bindObj);
  this.getAllCertificates = require('./getAllCertificates').bind(bindObj);
  this.getAllowlist = require('./getAllowlist').bind(bindObj);
  this.getAuditConfiguration = require('./getAuditConfiguration').bind(bindObj);
  this.getCertificates = require('./getCertificates').bind(bindObj);
  this.getConfiguration = require('./getConfiguration').bind(bindObj);
  this.getDashboardsInfo = require('./getDashboardsInfo').bind(bindObj);
  this.getDistinguishedName = require('./getDistinguishedName').bind(bindObj);
  this.getDistinguishedNames = require('./getDistinguishedNames').bind(bindObj);
  this.getNodeCertificates = require('./getNodeCertificates').bind(bindObj);
  this.getPermissionsInfo = require('./getPermissionsInfo').bind(bindObj);
  this.getRole = require('./getRole').bind(bindObj);
  this.getRoleMapping = require('./getRoleMapping').bind(bindObj);
  this.getRoleMappings = require('./getRoleMappings').bind(bindObj);
  this.getRoles = require('./getRoles').bind(bindObj);
  this.getSslinfo = require('./getSslinfo').bind(bindObj);
  this.getTenancyConfig = require('./getTenancyConfig').bind(bindObj);
  this.getTenant = require('./getTenant').bind(bindObj);
  this.getTenants = require('./getTenants').bind(bindObj);
  this.getUser = require('./getUser').bind(bindObj);
  this.getUserLegacy = require('./getUserLegacy').bind(bindObj);
  this.getUsers = require('./getUsers').bind(bindObj);
  this.getUsersLegacy = require('./getUsersLegacy').bind(bindObj);
  this.health = require('./health').bind(bindObj);
  this.migrate = require('./migrate').bind(bindObj);
  this.patchActionGroup = require('./patchActionGroup').bind(bindObj);
  this.patchActionGroups = require('./patchActionGroups').bind(bindObj);
  this.patchAllowlist = require('./patchAllowlist').bind(bindObj);
  this.patchAuditConfiguration = require('./patchAuditConfiguration').bind(bindObj);
  this.patchConfiguration = require('./patchConfiguration').bind(bindObj);
  this.patchDistinguishedName = require('./patchDistinguishedName').bind(bindObj);
  this.patchDistinguishedNames = require('./patchDistinguishedNames').bind(bindObj);
  this.patchRole = require('./patchRole').bind(bindObj);
  this.patchRoleMapping = require('./patchRoleMapping').bind(bindObj);
  this.patchRoleMappings = require('./patchRoleMappings').bind(bindObj);
  this.patchRoles = require('./patchRoles').bind(bindObj);
  this.patchTenant = require('./patchTenant').bind(bindObj);
  this.patchTenants = require('./patchTenants').bind(bindObj);
  this.patchUser = require('./patchUser').bind(bindObj);
  this.patchUsers = require('./patchUsers').bind(bindObj);
  this.postDashboardsInfo = require('./postDashboardsInfo').bind(bindObj);
  this.reloadHttpCertificates = require('./reloadHttpCertificates').bind(bindObj);
  this.reloadTransportCertificates = require('./reloadTransportCertificates').bind(bindObj);
  this.tenantInfo = require('./tenantInfo').bind(bindObj);
  this.updateAuditConfiguration = require('./updateAuditConfiguration').bind(bindObj);
  this.updateConfiguration = require('./updateConfiguration').bind(bindObj);
  this.updateDistinguishedName = require('./updateDistinguishedName').bind(bindObj);
  this.validate = require('./validate').bind(bindObj);
  this.whoAmI = require('./whoAmI').bind(bindObj);
  this.whoAmIProtected = require('./whoAmIProtected').bind(bindObj);

  // Deprecated: Use changePassword instead.
  this.change_password = require('./changePassword').bind(bindObj);
  // Deprecated: Use configUpgradeCheck instead.
  this.config_upgrade_check = require('./configUpgradeCheck').bind(bindObj);
  // Deprecated: Use configUpgradePerform instead.
  this.config_upgrade_perform = require('./configUpgradePerform').bind(bindObj);
  // Deprecated: Use createActionGroup instead.
  this.create_action_group = require('./createActionGroup').bind(bindObj);
  // Deprecated: Use createAllowlist instead.
  this.create_allowlist = require('./createAllowlist').bind(bindObj);
  // Deprecated: Use createRole instead.
  this.create_role = require('./createRole').bind(bindObj);
  // Deprecated: Use createRoleMapping instead.
  this.create_role_mapping = require('./createRoleMapping').bind(bindObj);
  // Deprecated: Use createTenant instead.
  this.create_tenant = require('./createTenant').bind(bindObj);
  // Deprecated: Use createUpdateTenancyConfig instead.
  this.create_update_tenancy_config = require('./createUpdateTenancyConfig').bind(bindObj);
  // Deprecated: Use createUser instead.
  this.create_user = require('./createUser').bind(bindObj);
  // Deprecated: Use createUserLegacy instead.
  this.create_user_legacy = require('./createUserLegacy').bind(bindObj);
  // Deprecated: Use deleteActionGroup instead.
  this.delete_action_group = require('./deleteActionGroup').bind(bindObj);
  // Deprecated: Use deleteDistinguishedName instead.
  this.delete_distinguished_name = require('./deleteDistinguishedName').bind(bindObj);
  // Deprecated: Use deleteRole instead.
  this.delete_role = require('./deleteRole').bind(bindObj);
  // Deprecated: Use deleteRoleMapping instead.
  this.delete_role_mapping = require('./deleteRoleMapping').bind(bindObj);
  // Deprecated: Use deleteTenant instead.
  this.delete_tenant = require('./deleteTenant').bind(bindObj);
  // Deprecated: Use deleteUser instead.
  this.delete_user = require('./deleteUser').bind(bindObj);
  // Deprecated: Use deleteUserLegacy instead.
  this.delete_user_legacy = require('./deleteUserLegacy').bind(bindObj);
  // Deprecated: Use flushCache instead.
  this.flush_cache = require('./flushCache').bind(bindObj);
  // Deprecated: Use generateOboToken instead.
  this.generate_obo_token = require('./generateOboToken').bind(bindObj);
  // Deprecated: Use generateUserToken instead.
  this.generate_user_token = require('./generateUserToken').bind(bindObj);
  // Deprecated: Use generateUserTokenLegacy instead.
  this.generate_user_token_legacy = require('./generateUserTokenLegacy').bind(bindObj);
  // Deprecated: Use getAccountDetails instead.
  this.get_account_details = require('./getAccountDetails').bind(bindObj);
  // Deprecated: Use getActionGroup instead.
  this.get_action_group = require('./getActionGroup').bind(bindObj);
  // Deprecated: Use getActionGroups instead.
  this.get_action_groups = require('./getActionGroups').bind(bindObj);
  // Deprecated: Use getAllCertificates instead.
  this.get_all_certificates = require('./getAllCertificates').bind(bindObj);
  // Deprecated: Use getAllowlist instead.
  this.get_allowlist = require('./getAllowlist').bind(bindObj);
  // Deprecated: Use getAuditConfiguration instead.
  this.get_audit_configuration = require('./getAuditConfiguration').bind(bindObj);
  // Deprecated: Use getCertificates instead.
  this.get_certificates = require('./getCertificates').bind(bindObj);
  // Deprecated: Use getConfiguration instead.
  this.get_configuration = require('./getConfiguration').bind(bindObj);
  // Deprecated: Use getDashboardsInfo instead.
  this.get_dashboards_info = require('./getDashboardsInfo').bind(bindObj);
  // Deprecated: Use getDistinguishedName instead.
  this.get_distinguished_name = require('./getDistinguishedName').bind(bindObj);
  // Deprecated: Use getDistinguishedNames instead.
  this.get_distinguished_names = require('./getDistinguishedNames').bind(bindObj);
  // Deprecated: Use getNodeCertificates instead.
  this.get_node_certificates = require('./getNodeCertificates').bind(bindObj);
  // Deprecated: Use getPermissionsInfo instead.
  this.get_permissions_info = require('./getPermissionsInfo').bind(bindObj);
  // Deprecated: Use getRole instead.
  this.get_role = require('./getRole').bind(bindObj);
  // Deprecated: Use getRoleMapping instead.
  this.get_role_mapping = require('./getRoleMapping').bind(bindObj);
  // Deprecated: Use getRoleMappings instead.
  this.get_role_mappings = require('./getRoleMappings').bind(bindObj);
  // Deprecated: Use getRoles instead.
  this.get_roles = require('./getRoles').bind(bindObj);
  // Deprecated: Use getSslinfo instead.
  this.get_sslinfo = require('./getSslinfo').bind(bindObj);
  // Deprecated: Use getTenancyConfig instead.
  this.get_tenancy_config = require('./getTenancyConfig').bind(bindObj);
  // Deprecated: Use getTenant instead.
  this.get_tenant = require('./getTenant').bind(bindObj);
  // Deprecated: Use getTenants instead.
  this.get_tenants = require('./getTenants').bind(bindObj);
  // Deprecated: Use getUser instead.
  this.get_user = require('./getUser').bind(bindObj);
  // Deprecated: Use getUserLegacy instead.
  this.get_user_legacy = require('./getUserLegacy').bind(bindObj);
  // Deprecated: Use getUsers instead.
  this.get_users = require('./getUsers').bind(bindObj);
  // Deprecated: Use getUsersLegacy instead.
  this.get_users_legacy = require('./getUsersLegacy').bind(bindObj);
  // Deprecated: Use patchActionGroup instead.
  this.patch_action_group = require('./patchActionGroup').bind(bindObj);
  // Deprecated: Use patchActionGroups instead.
  this.patch_action_groups = require('./patchActionGroups').bind(bindObj);
  // Deprecated: Use patchAllowlist instead.
  this.patch_allowlist = require('./patchAllowlist').bind(bindObj);
  // Deprecated: Use patchAuditConfiguration instead.
  this.patch_audit_configuration = require('./patchAuditConfiguration').bind(bindObj);
  // Deprecated: Use patchConfiguration instead.
  this.patch_configuration = require('./patchConfiguration').bind(bindObj);
  // Deprecated: Use patchDistinguishedName instead.
  this.patch_distinguished_name = require('./patchDistinguishedName').bind(bindObj);
  // Deprecated: Use patchDistinguishedNames instead.
  this.patch_distinguished_names = require('./patchDistinguishedNames').bind(bindObj);
  // Deprecated: Use patchRole instead.
  this.patch_role = require('./patchRole').bind(bindObj);
  // Deprecated: Use patchRoleMapping instead.
  this.patch_role_mapping = require('./patchRoleMapping').bind(bindObj);
  // Deprecated: Use patchRoleMappings instead.
  this.patch_role_mappings = require('./patchRoleMappings').bind(bindObj);
  // Deprecated: Use patchRoles instead.
  this.patch_roles = require('./patchRoles').bind(bindObj);
  // Deprecated: Use patchTenant instead.
  this.patch_tenant = require('./patchTenant').bind(bindObj);
  // Deprecated: Use patchTenants instead.
  this.patch_tenants = require('./patchTenants').bind(bindObj);
  // Deprecated: Use patchUser instead.
  this.patch_user = require('./patchUser').bind(bindObj);
  // Deprecated: Use patchUsers instead.
  this.patch_users = require('./patchUsers').bind(bindObj);
  // Deprecated: Use postDashboardsInfo instead.
  this.post_dashboards_info = require('./postDashboardsInfo').bind(bindObj);
  // Deprecated: Use reloadHttpCertificates instead.
  this.reload_http_certificates = require('./reloadHttpCertificates').bind(bindObj);
  // Deprecated: Use reloadTransportCertificates instead.
  this.reload_transport_certificates = require('./reloadTransportCertificates').bind(bindObj);
  // Deprecated: Use tenantInfo instead.
  this.tenant_info = require('./tenantInfo').bind(bindObj);
  // Deprecated: Use updateAuditConfiguration instead.
  this.update_audit_configuration = require('./updateAuditConfiguration').bind(bindObj);
  // Deprecated: Use updateConfiguration instead.
  this.update_configuration = require('./updateConfiguration').bind(bindObj);
  // Deprecated: Use updateDistinguishedName instead.
  this.update_distinguished_name = require('./updateDistinguishedName').bind(bindObj);
  // Deprecated: Use whoAmI instead.
  this.who_am_i = require('./whoAmI').bind(bindObj);
  // Deprecated: Use whoAmIProtected instead.
  this.who_am_i_protected = require('./whoAmIProtected').bind(bindObj);
}

module.exports = SecurityApi;
